<?php

date_default_timezone_set('America/Lima');
session_start();
if($_SESSION["sistema"]!= "1"){ header("location: ../login/index.php"); exit();}

require_once ("../../config/Cado.php");
require_once ("../canchapos/cCanchapos.php");
$oCanchapos = new cCanchapos();
require_once("../formatos/formato.php");
	$dts=$oCanchapos->mostrarUno($_POST['sepcan_id']);
	$dt = mysqli_fetch_array($dts);
			$fec = $dt['tb_separacioncancha_fecforini'];
			$hini = $dt['tb_separacioncancha_horforini'];
			$cli_tel = $dt['tb_cliente_tel'];
			$cli_nom = $dt['tb_cliente_nom'];
			$est = $dt['tb_separacioncancha_est'];
			$det = $dt['tb_separacioncancha_des'];
			$tiemin = $dt['tb_separacioncancha_tiemin'];
			$horainitime = $dt['tb_separacioncancha_horainitime'];
			$horafintime = $dt['tb_separacioncancha_horafintime'];
			$ade = $dt['tb_separacioncancha_ade'];
			
	mysqli_free_result($dts);
	$mone_id = 1;
	
	$can = strlen($cli_doc);
	$forpag_id = '1';
	$cli_id = '1';
	
	
?>
<script type="text/javascript">



	cmb_docgen_id();
	//cmb_cue_id_canpos();
	//cmb_subcue_id_canpos('4');

	$('#cmb_cue_id_canpos').change(function(){
		cmb_subcue_id_canpos($('#cmb_cue_id_canpos').val());
	});
	

 function ver_fecven(){	
	$.ajax({
		type: "POST",
		url: "../cotizacion/ver_fecven.php",
		async:false,
		dataType: "json",                      
		data: ({
			ven_fec: 		$('#txt_cot_fec').val(),
			venpag_numdia: 	$('#txt_canpos_numdia').val()
		}),
		beforeSend: function() {
					
		},
		success: function(data){
			$('#txt_canpos_fecven').val(data.fecha);
		}
	});
}

	function cmb_docgen_id(docid,can)
	{	
		$.ajax({
			type: "POST",
			url: "../documento/cmb_doc_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				mod_id: 3,
				doc_id: docid,
				doc: <?php echo '00000000'; ?>,
				doccan : can ,<?php //echo $can?>
				vista:'ven',
				tot : <?php echo '0' ?>,
				def:1
				
			}),
			beforeSend: function() {
				$('#cmb_doc_canpos_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){			
				$('#cmb_doc_canpos_id').html(html);
			},
			complete: function(){
					numdoc_id();
		}
	});
	}
	
	function forpag_id()
{
	var tipo = $("#cmb_forpag_id_canpos").val();
	//$('#cmb_modpag_id_canpos').val('');

	$('#txt_nroope_canpos').val('');
	$('#txt_canpos_numdia').val('');
	$('#txt_canpos_fecven').val('');

	$("#div_modo_canpos").hide(100);
	$("#div_tarjeta").hide(100);
	$("#div_cuentadeposito").hide(100);			
	$("#div_operacion").hide(100);
	$("#div_dia_canpos").hide(100);
	$("#div_fecven_canpos").hide(100);
	
	//contado
	if(tipo == 1)
	{		
		$("#div_modo_canpos").show(100);
		$("#div_caj_canpos").show(100);
		$("#div_cue").show(100);
		$("#div_subcue").show(100);
	}
	
	if(tipo == 2){			
		$("#div_dia_canpos").show(100);
		$("#div_fecven_canpos").show(100);	
		$("#div_caj_canpos").hide(100);
		$("#div_cue").hide(100);
		$("#div_subcue").hide(100);
	}	

} 	



function numdoc_id()
{
	var tipo = $("#cmb_doc_canpos_id").val();
	
	if(tipo == 33 || tipo == 34 )
	{		
		$("#div_numdoc").show(100);
		
	}else{
		$("#div_numdoc").hide(100);
	}
	
} 



function cliente_cargar_datos_canpos(idf){	
	$.ajax({
		type: "POST",
		url: "../cliente/cliente_reg.php",
		async:true,
		dataType: "json",                      
		data: ({
			action: "obtener_datos",
			cli_id:	idf
		}),
		beforeSend: function() {
		
		},
		success: function(data){
			$('#hdd_ven_cli_idv').val(idf);	
			$('#txt_ven_cli_nomv').val(data.nombre);	
			$('#txt_ven_cli_docv').val(data.documento);						
			$('#txt_ven_cli_dir').val(data.direccion);
			$("#hdd_ven_cli_tip").val(data.tipo);
			cargar_direcciones(idf);
			
		can = 	$('#txt_ven_cli_docv').val().length;
		
		if(can == '8'){
				cmb_docgen_id('4',can);
		}else{
				cmb_docgen_id('5',can);
		}		
			//cargar_vehiculos(idf);
			
		}
	});		
}
	
	
function cliente_form(act,idf){
	$('#div_cliente_form_dialog').modal();
	$.ajax({
		type: "POST",
		url: "../cliente/cliente_form.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			cli_id:	idf,
			vista:	'venta'
		}),
		beforeSend: function() {
			
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
		$('.div_cliente_form').html(div); 
		},
		success: function(html){ 	
			$('.div_cliente_form').html(html); 				
		},
		complete: function(){
				
				
		}
	});
}

	function cargar_direcciones(idcli){
	
			$.ajax({
 					type: "POST",
 					url: "../cliente/cmb_clidir_id.php",
 					async:true,
 					dataType: "html",                      
 					data: ({						
 						cli_id: idcli,
 						vista:	''
 					}),
 					beforeSend: function() {
 						$('#cmb_ven_cli_dirv').html('<option value="">Cargando...</option>');
 					},
 					success: function(html){			
 						$('#cmb_ven_cli_dirv').html(html);
 					},
 					complete: function(){
 						
 						}
 					});
}


$(function() {

	
cliente_cargar_datos_canpos(<?php echo $cli_id?>);


$( "#txt_ven_cli_docv" ).autocomplete({
		minLength: 1,
		source: "../cliente/cliente_complete_doc.php",
		select: function(event, ui){			
			$("#hdd_ven_cli_idv").val(ui.item.id);
			$("#txt_ven_cli_nomv").val(ui.item.nombre);
			$("#txt_ven_cli_dir").val(ui.item.direccion);
			$("#hdd_ven_cli_tip").val(ui.item.tipo);
				$("#txt_bus_pro_codbar").focus();
				cargar_direcciones(ui.item.id);
				
		can = $('#txt_ven_cli_docv').val().length;
		
		if(can == '8'){
				cmb_docgen_id('4',can);
		}else{
				cmb_docgen_id('5',can);
		}	
				
			}
		});

	$( "#txt_ven_cli_nomv" ).autocomplete({
		minLength: 1,
		source: "../cliente/cliente_complete_nom.php",
		select: function(event, ui){			
			$("#hdd_ven_cli_idv").val(ui.item.id);							
			$("#txt_ven_cli_docv").val(ui.item.documento);
			$("#txt_ven_cli_dir").val(ui.item.direccion);
			$("#hdd_ven_cli_tip").val(ui.item.tipo);
				$("#txt_bus_pro_codbar").focus();
				cargar_direcciones(ui.item.id);
				
		can = $('#txt_ven_cli_docv').val().length;
		
		if(can == '8'){
				cmb_docgen_id('4',can);
		}else{
				cmb_docgen_id('5',can);
		}	
		
			}
		});
	
	$("#txt_venpag_mon").attr('readonly',true);
	 
		 
		 $("#chk_venpag_aut").change(function(){
			venpag_aut();
		}); 
		
		


		$("#cmb_forpag_id_canpos").change(function(){	
			
			forpag_id();
		});

		$("#txt_venpag_mon").keydown(function(e){
			if (e.which == 13){
				if($("#txt_venpag_mon").val()>0)
				{
					$("#cmb_forpag_id_canpos").focus();
				}
				else
				{
					
				}				
				return false;
			}
		});

		$("#cmb_forpag_id_canpos").keydown(function(e){
			if (e.which == 13){
				if($("#cmb_forpag_id_canpos").val()==1)$("#cmb_modpag_id_canpos").focus();
				if($("#cmb_forpag_id_canpos").val()==2)$("#txt_canpos_numdia").focus();
				return false;
			}
		});
		
		$("#cmb_modpag_id_canpos").change(function(){
			validar_campos($(this).val());			
		});
		
		cmb_caja_id('1','<?php echo $punven_id ?>','<?php echo $mone_id?>');
	

		$("#cmb_tar_id, #cmb_cuedep_id").keydown(function(e){
			if (e.which == 13){
				$("#txt_nroope_canpos").focus();
			}
		});

		$("#txt_nroope_canpos").keydown(function(e){
			if (e.which == 13){$("#btn_venpag_agregar").focus();return false;}
		});
		
		$('#txt_canpos_numdia').change( function() {
			if($('#txt_canpos_numdia').val()!="")
			{
				ver_fecven();
			}
			else
			{
				$('#txt_canpos_fecven').val('');
			}
		});

		$("#txt_canpos_numdia").keydown(function(e){
			if (e.which == 13){$("#btn_venpag_agregar").focus();return false;}
		});

 $('#txt_canpos_numdia').keydown(function(e){ 
		if (e.which == 13){
			if($('#txt_canpos_numdia').val()!="")
			{
				ver_fecven();
			}
			else
			{
				$('#txt_canpos_fecven').val('');
			}	
			
			
			return false;}
		}); 
		
		
$('#cmb_doc_canpos_id').change(function(){
	
		
		numdoc_id();
	
});


$('#txt_atenc_guia,#txt_lle_guia').change(function(){
		$(this).val($(this).val().toUpperCase());
	});
var clicando = false;
$("#btn_ven_guardar").click(function() {
    
    if(clicando){		 	
			toastr["error"]('Hemos quitado el proceso de doble registro.');
		}else{
			clicando= true;
	
	var tipo = $("#cmb_doc_canpos_id").val();
	
	if(tipo == 33 || tipo == 34 )
	{		
		if($("#txt_canpos_numdoc").val()=="")
		{
			toastr["warning"]('Debes ingresar un numero de documento.'); 
			$("#txt_canpos_numdoc").focus();
		}else{
			$("#for_canposven").submit();
		}
		
	}else if($("#cmb_modpag_id_canpos").val()==""){
		toastr["warning"]('Debe seleccionar un modo de pago');  
	}else if($("#cmb_caj_id_canpos").val()==""){
		toastr["warning"]('Debe seleccionar una caja');  
	}else if($("#txt_canpos_tot").val()<=0){
		toastr["warning"]('Ingrese un monto total a cobrar');  
	}else{
		$("#for_canposven").submit();
	}
}
	
});
	
$('#for_canposven').bootstrapValidator({ 
	      message: 'Valor no valido',
	      feedbackIcons: {
	      	valid: 'glyphicon glyphicon-ok',
	      	invalid: 'glyphicon glyphicon-remove',
	      	validating: 'glyphicon glyphicon-refresh'
	      },
	      fields: {	      	
	      	
	      	cmb_doc_canpos_id: {
	      		group: '.col-lg-12',
	      		validators: {
	      			notEmpty: {
	      				message: 'Requerido *'
	      			}
	      		}
	      	},
			txt_lle_guia: {
	      		group: '.col-lg-12',
	      		validators: {
	      			notEmpty: {
	      				message: 'Requerido *'
	      			}
	      		}
	      	}
	      }
	  }).on('success.form.bv', function(e) { 
				//$('#div_mensaje_dialog').modal();
	  	$.ajax({
	  		type: "POST",
	  		url: "../canchapos/canchapos_reg.php",
	  		async:true,
	  		dataType: "json",
	  		data: $("#for_canposven").serialize(),
	  		beforeSend: function(){
				//var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				//$('.div_mensaje').html(div);
	  			 
	  		},
	  		success: function(data){
	  			$('#div_canchapos_info_dialog').modal('hide');;
			
			if(data.est==0){
				///$('.div_venta_form_dialog').modal('hide');
				toastr["danger"](data.msj);
				
				
			}else if(data.est==0){
				toastr["info"](data.msj);
				//$('.div_venta_form_dialog').modal('hide');
					
			}	
			
				//$('.div_venta_form_dialog in').removeClass('modal-backdrop');		
				canchapos_form_calendar('<?php echo $_POST['cancha_id']?>');
				
				
			/* 	$('.modal').modal('hide');
				$('.in').removeClass('modal-backdrop');		
				toastr["success"](data.msj);  			
				 */
	  		/* egreso_impresion(data.egr_id); */
	  			//cotizacion_tabla();
				
				
	  		},
	  		complete: function(){
	  			
	  		}
	  	});	
		

	  });
	 

	});
	
	

	function cmb_cue_id_canpos()
	{	
		$.ajax({
			type: "POST",
			url: "../cuentas/cmb_cue_id_canpos.php",
			async:true,
			dataType: "html",                      
			data: ({
				cuetip_id:"1",
				orden: "ord",
				cue_id: "4"
			}),
			beforeSend: function() {
				$('#cmb_cue_id_canpos').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_cue_id_canpos').html(html);
			}
		});
	}

	function cmb_subcue_id_canpos(cuenta_id)
	{	
		$.ajax({
			type: "POST",
			url: "../cuentas/cmb_subcue_id_canpos.php",
			async:true,
			dataType: "html",                      
			data: ({
				cue_id: cuenta_id,
				subcue_id: "<?php echo $subcue_id?>"
			}),
			beforeSend: function() {
				$('#cmb_subcue_id_canpos').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_subcue_id_canpos').html(html);
			}
		});
	}
	
	
	
	
	
	
	
	
function cmb_caja_id(tip,punven_id,moneid)
	{	
		$.ajax({
			type: "POST",
			url: "../caja/cmb_cajaxpuntoventa_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				tip : tip,
				punven_id: punven_id,
				mon_id: moneid
			}),
			beforeSend: function(){
				$('#cmb_caj_id_canpos').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_caj_id_canpos').html(html);
			}
		});
	}
	
function cmb_caja_id2(emp_id,moneid,tip)
	{	
		$.ajax({
			type: "POST",
			url: "../caja/cmb_cajaxpuntoventa_id2.php",
			async:true,
			dataType: "html",                      
			data: ({
				emp_id: emp_id,
				mon_id: moneid,
				tip: tip // 1 : bancos // 2 : detracciones
			}),
			beforeSend: function(){
				$('#cmb_caj_id_canpos').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_caj_id_canpos').html(html);
			}
		});
	}
	
	
	
	
	
	

function validar_campos(modid){
	
	if(modid==""){

		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_bandes").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_nroopecom_canpos").hide(100);
		$("#div_cuentaprov").hide(100);
		$("#div_feccom").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_cob").hide(100);
		$("#div_importes").hide(100);
		$("#div_caj_canpos").show(100);

	}else if(modid==1){

		$("#lbl_egr_feccom").text('Fecha Pago:');
		$("#div_feccom").show(100);
		$("#div_cob").show(100);

		//$("#div_bandes").hide(100);
		$("#div_cuentaprov").hide(100);
		$("#div_nroopecom_canpos").hide(100);

		$(".lbl_egre_cob").text('Cobrador:');
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_bandes").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_nroopecom_canpos").hide(100);
		$("#div_cuentaprov").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_importes").show(100);
		$("#div_caj_canpos").show(100);
		cmb_caja_id('1','<?php echo $punven_id ?>','<?php echo $mone_id?>');

	}else if(modid==2){
		$("#lbl_egr_feccom").text('Fecha Deposito:');
		$("#lbl_nrocuent_prov").text('Nro Cuenta Cliente:');
		$("#lbl_egr_nroopecom").text('Nro Operacion:');
		$("#lbl_gas").text('Gasto Financiero:');
		
		$("#lbl_ban_id_des").text('Banco Origen:');
		
		//$("#div_bandes").show(100);
		$("#div_cuentaprov").show(100);
		$("#div_feccom").show(100);
		$("#div_nroopecom_canpos").show(100);

		$("#div_cob").hide(100);
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_importes").show(100);
		$("#div_caj_canpos").show(100);
		cmb_caja_id2('<?php echo $emp_id ?>','<?php echo $mone_id ?>','1');
	}else if(modid==3){
		
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_bandes").show(100);
		//$("#div_cuendes").show(100);
		$("#div_nroopecom_canpos").hide(100);
		$("#div_cob").show(100);
		$("#div_feccom").show(100);
		$("#lbl_ban_id_ori").text('Banco Origen:');
		$("#lbl_egr_cuenori").text('Cuenta Origen:');
		$("#lbl_ban_id_des").text('Banco Destino:');
		$("#lbl_egr_feccom").text('Fecha Transferencia:');
		$("#lbl_egr_nroopecom").text('Nro Operacion:');
		$("#lbl_egr_cuendes").text('Cuenta Destino:');
		$(".lbl_egre_cob").text('Encargado:');
		$("#div_cuentaprov").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_importes").show(100);
		$("#div_caj_canpos").show(100);
		cmb_caja_id2('<?php echo $emp_id ?>','<?php echo $mone_id?>','2');

	}else if(modid==4){
		
		$("#div_banori").show(100);
		$("#div_cuenori").show(100);
		//$("#div_bandes").show(100);
		//$("#div_cuendes").show(100);
		$("#div_nroopecom_canpos").show(100);
		$("#div_feccom").show(100);
		$("#lbl_ban_id_ori").text('Banco Origen:');
		$("#lbl_egr_cuenori").text('Cuenta Origen:');
		$("#lbl_ban_id_des").text('Banco Destino:');
		$("#lbl_egr_feccom").text('Fecha Transferencia:');
		$("#lbl_egr_nroopecom").text('Nro Operacion:');
		$("#lbl_egr_cuendes").text('Cuenta Destino:');
		$("#div_cuentaprov").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_cob").hide(100);
		$("#div_importes").show(100);
		$("#div_caj_canpos").show(100);
		cmb_caja_id2('<?php echo $emp_id ?>','<?php echo $mone_id?>','1');

	}else if(modid==5){
		
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_bandes").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_nroopecom_canpos").hide(100);
		$("#div_feccom").hide(100);
		$("#div_cuentaprov").hide(100);
		$("#div_cob").hide(100);

		$("#div_banori").show(100);
		$("#div_cuenori").show(100);
		$("#div_fecemi").show(100);
		$("#div_feccom").show(100);
		$("#div_nroopecom_canpos").show(100);
		$("#div_importes").show(100);
		$("#lbl_ban_id_ori").text('Banco Cargo:');
		$("#lbl_egr_cuenori").text('Cuenta Cargo:');

		$("#lbl_egr_feccom").text('Fecha Pago:');
		$("#lbl_egr_fecemi").text('Fecha Emision:');
		$("#lbl_egr_nroopecom").text('Nro Cheque:');
		$("#div_caj_canpos").show(100);
		cmb_caja_id('','<?php echo $punven_id ?>','<?php echo $mone_id?>');

	}
	else if(modid==6){
		$("#lbl_egr_feccom").text('Fecha Deposito:');
		$("#lbl_nrocuent_prov").text('Nro Cuenta Cliente:');
		$("#lbl_egr_nroopecom").text('Nro Operacion:');
		$("#lbl_gas").text('Gasto Financiero:');
		
		$("#lbl_ban_id_des").text('Banco Origen:');
		
		//$("#div_bandes").show(100);
		$("#div_cuentaprov").show(100);
		$("#div_feccom").show(100);
		$("#div_nroopecom_canpos").show(100);

		$("#div_cob").hide(100);
		$("#div_banori").hide(100);
		$("#div_cuenori").hide(100);
		//$("#div_cuendes").hide(100);
		$("#div_fecemi").hide(100);
		$("#div_importes").show(100);
		$("#div_caj_canpos").show(100);
		cmb_caja_id2('<?php echo $emp_id ?>','<?php echo $mone_id ?>','1');
	}
}

	forpag_id();
	
</script>
<style type="text/css">
.ui-autocomplete
{
    z-index: 99999; 
}
	</style>

<div class="col-12 col-lg-12 col-md-12 col-sm-12" style="background-color:#fff;">

			<form  role="form" id="for_canposven" method="POST">
				<?php  //echo $can;?>
				<input type="hidden" id="hdd_can_id" name="hdd_can_id" value="<?php echo $_POST['cancha_id']?>">
				<input type="hidden" id="txt_mone_canpos_id" name="txt_mone_canpos_id" value="1">
				<input type="hidden" id="hdd_sepcan_id" name="hdd_sepcan_id" value="<?php echo $_POST['sepcan_id']?>">
				<input type="hidden" id="action" name="action" value="<?php echo $_POST['action'] ?>">
			
					<div class="box-header">
						<h3 class="box-title">Elija el documento a emitir</h3>
					</div>
	
					
 											<input type="hidden" id="hdd_ven_cli_idv" name="hdd_ven_cli_idv" value="<?php echo $cli_id ?>" />
 											
											<div class="row">															
											<div class="col-lg-5 col-sm-4 col-6">															
												<label for="txt_com_pro_doc">RUC/DNI:</label>
 												<div class="input-group">
 													<span id="" style=""  class="input-group-btn">
									<span id="" style="cursor:pointer" class="btn btn-info btn-sm btn-flat" onClick="cliente_form('insertar')"><i class="fa fa-plus"></i></span> 
						</span>		
 														
 														<input name="txt_ven_cli_docv" type="text" id="txt_ven_cli_docv" value="<?php echo $cli_doc?>"   maxlength="11" class="form-control form-control-sm"> 
 													</div>
 												</div>
 												<div class="col-lg-7 col-sm-4 col-6">
 													<div id="div_clientecuenta_detalle"></div>
 													<label for="txt_ven_cli_nomv">Cliente:</label>
 													<input type="text" id="txt_ven_cli_nomv" name="txt_ven_cli_nomv"  value="<?php echo $cli_nom?>" class="form-control form-control-sm" />
 												</div> 
 											
 											
 												<div class="col-lg-12 col-sm-12 col-12">
 													<div id="div_clientecuenta_detalle"></div>
 													<label for="cmb_ven_cli_dirv">Dirección:</label>
 													
													<select name="cmb_ven_cli_dirv" id="cmb_ven_cli_dirv" class="form-control form-control-sm" >
													<option value="">-</option>
													</select>										   
												</div>
												</div>
											
		
		
	
					<div class="row">
					
					<div class="col-lg-6 col-sm-6 col-6">
						<label for="cmb_doc_canpos_id">Documento:</label>
						<select name="cmb_doc_canpos_id" id="cmb_doc_canpos_id" class="form-control form-control-sm"> </select>
					</div>
					
					<div id="div_numdoc" style="display:none" class="col-lg-6 col-sm-6 col-6"> 
 							<label for="txt_canpos_numdoc">Num. Doc.:</label></br>
 							<input name="txt_canpos_numdoc" id="txt_canpos_numdoc" type="text" class=" form-control form-control-sm " >
 					</div>
				
				
 					<div class="col-lg-4 col-sm-12 col-6">
 							<label for="cmb_forpag_id_canpos">Forma:</label>													
							<select name="cmb_forpag_id_canpos" id="cmb_forpag_id_canpos"  class="form-control form-control-sm">
 							<option value="1" <?php if($forpag_id==1) echo 'selected'; ?> >CONTADO</option>
 							<option value="2" <?php if($forpag_id==2) echo 'selected'; ?> >CREDITO</option>
 							</select> 														
 					</div>

 					<div id="div_modo_canpos" class="col-lg-4 col-sm-12 col-6">
 							<label for="cmb_modpag_id_canpos">Modo:</label> 
 							<select name="cmb_modpag_id_canpos" id="cmb_modpag_id_canpos" class="form-control form-control-sm">
							<option value="1" selected >EFECTIVO</option>
							<option value="2">DEPOSITO</option>
							<option value="4">TRANSFERENCIA</option>
							<option value="5">CHEQUE</option>
							<option value="6">TARJETA</option>
							</select> 
					</div>								

					<div id="div_dia_canpos" style="display:none" class="col-lg-2 col-sm-6 col-6"> 
 							<label for="txt_canpos_numdia">N° Días:</label></br>
 							<input name="txt_canpos_numdia" id="txt_canpos_numdia" type="text" value="<?php echo $dia; ?>" class=" form-control form-control-sm dias"  maxlength="3" >
 					</div>

 					<div id="div_fecven_canpos" style="display:none" class="col-lg-3 col-sm-6 col-6"> 
 							<label for="txt_canpos_fecven">F. Venc:</label></br>
 							<input type="text" name="txt_canpos_fecven" id="txt_canpos_fecven"  maxlength="10" class=" form-control form-control-sm" readonly>
 					</div>
					
					<div  class="col-lg-3 col-sm-6 col-6" id="div_nroopecom_canpos" style="display:none"  > 
 							<label id="lbl_egr_nroopecom">NRO. OPERACION:</label></br>
 							<input type="text" name="txt_nroope_canpos" id="txt_nroope_canpos"  class=" form-control form-control-sm ">
 					</div>
					
					<div id="div_cue" class="col-lg-4 col-sm-3 col-6 d-none">
							<label for="cmb_cue_id_canpos">Cuenta:</label>
							<select name="cmb_cue_id_canpos" id="cmb_cue_id_canpos" class="form-control form-control-sm "> </select> 
					</div>

					<div id="div_subcue" class="col-lg-4 col-sm-3 col-6 d-none">
						<label for="cmb_subcue_id_canpos">Sub Cuenta:</label>
						<select name="cmb_subcue_id_canpos" id="cmb_subcue_id_canpos_canpos" class="form-control form-control-sm "></select>
					</div>
					
					<div id="div_caj_canpos" class="col-lg-4 col-sm-12 col-6">
						<label for="cmb_caj_id_canpos">Caja:</label>
						<select name="cmb_caj_id_canpos" id="cmb_caj_id_canpos"  class="form-control form-control-sm" >
						</select>
					</div>
					
					<div class="col-12 col-lg-12 col-md-12 col-sm-12" style="height:10px;"></div>
					
					
					

						
 					</div>
					
					<div class="row">
					<div id="" style="" class="col-lg-4 col-sm-4 col-4"> 
 							<label for="txt_canpos_totmin">Minutos:</label>
 							<input name="txt_canpos_totmin" id="txt_canpos_totmin" type="text" value="<?php echo $tiemin; ?>" class=" form-control form-control-xl "  >
 					</div>
					
					<div id="" style="" class="col-lg-4 col-sm-4 col-4"> 
 							<label for="txt_canpos_totmin">Adelanto:</label>
 							<input name="txt_canpos_ade" id="txt_canpos_ade" type="text" value="<?php echo formato_money($ade); ?>" class=" form-control form-control-xl "  >
 					</div>
					
					<div id="" style="" class="col-lg-4 col-sm-4 col-4"> 
 							<label for="txt_canpos_tot">TOTAL:</label>
 							<input name="txt_canpos_tot" id="txt_canpos_tot" type="text" value="<?php echo formato_money($tot); ?>" class=" form-control form-control-xl "  >
 					</div>
 					</div>
					
					<div class="col-12 col-lg-12 col-md-12 col-sm-12" style="height:10px;"></div>

				
			</form>
		
		<div class="modal-footer pull-right">	 
			<button type="button" class="btn btn-default " id="" data-dismiss="modal">Cancelar</button>
			<button type="button" class="btn btn-primary " id="btn_ven_guardar">Guardar</button>
		</div> 
		
		
		
		</div> 